.sky:hover + .vehicle .light {
  animation: lights 25s linear infinite;
}

.vehicle:hover + .vehicle .vehicle__body {
  animation-play-state: paused;
  background: green;
}

.vehicle:hover + .salar .salar__dune {
  animation-play-state: paused;
}

.vehicle:hover ~ .haze {
  display: none !important;
  animation-play-state: paused;
}

.vehicle {
  z-index: 100;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.vehicle__body {
  background: #2f3e46;
  border-radius: 30px 50px 10px 5px;
  height: 100px;
  width: 210px;
  position: relative;
  animation: fly 1.2s ease-in-out infinite alternate;
}
.vehicle__body:hover {
  animation-play-state: paused;
}
.vehicle__body:hover + .vehicle__wheels div {
  animation-play-state: paused;
}
.vehicle__body:hover .vehicle__body__tail div {
  animation-play-state: paused;
  animation: smoke-danger 2s ease-out infinite;
  display: flex;
}
.vehicle__body:hover ~ .salar .salar__dune {
  animation-play-state: paused;
}
.vehicle__body__top {
  position: relative;
  background: #84a98c;
  border-radius: 20px 20px 15px 15px;
  width: 88%;
  height: 10px;
  top: 0;
  left: 50%;
  transform: translate(-55%, 0);
}
.vehicle__body__forklift {
  width: 90px;
  height: 7px;
  background-color: black;
  border-radius: 5px;
  opacity: 0.95;
  position: relative;
  top: -25px;
  left: 75px;
  display: flex;
  z-index: 100;
}
.vehicle__body__forklift .rod {
  height: 12px;
  width: 6px;
  background-color: black;
  border-radius: 5%;
  position: relative;
  top: 3px;
  left: 8px;
}
.vehicle__body__forklift .rod:nth-of-type(2) {
  left: 76px;
}
.vehicle__body__forklift .flag {
  width: 40px;
  position: relative;
  top: -30px;
  left: 18px;
  opacity: 1;
  transform: rotate(-10deg);
}
.vehicle__body__forklift .flag div {
  animation: waving 1s ease-in-out infinite alternate-reverse;
  background-size: 300px 100%;
  position: relative;
}
.vehicle__body__forklift .flag__row-1 {
  width: 100%;
  height: 8px;
  background-color: red;
}
.vehicle__body__forklift .flag__row-2 {
  width: 100%;
  height: 8px;
  background-color: orange;
}
.vehicle__body__forklift .flag__row-3 {
  width: 100%;
  height: 8px;
  background-color: green;
}
.vehicle__body__forklift .flag::after {
  content: "";
  position: absolute;
  width: 3px;
  height: 40px;
  background: black;
  position: absolute;
  border-radius: 5px;
  top: -1px;
  left: 100%;
}
.vehicle__body__suitcase {
  width: 50px;
  height: 100%;
  left: 50%;
  top: -40%;
  z-index: 1;
}
.vehicle__body__suitcase .box__1 {
  width: 35px;
  height: 20px;
  left: 0;
  top: 10px;
  border-radius: 50% 50% 67% 33%/79% 61% 39% 21%;
}
.vehicle__body__suitcase .box__2 {
  width: 50px;
  height: 20px;
  border-radius: 66% 34% 84% 16%/32% 65% 35% 68%;
  left: -30%;
  top: 20px;
  transform: rotate(10deg);
}
.vehicle__body__suitcase .box__3 {
  width: 30px;
  height: 40px;
  left: 50%;
  bottom: 0;
  border-radius: 20%;
}
.vehicle__body__suitcase div {
  background: #30383f;
  opacity: 0.9;
}
.vehicle__body__tail {
  height: 10px;
  width: 10px;
  background-color: black;
  position: relative;
  left: -10px;
  top: 65%;
  display: flex;
  opacity: 0.8;
}
.vehicle__body__tail div {
  border-radius: 50%;
  background-color: #989898;
  position: absolute;
  animation: smoke 1.1s ease-out infinite;
}
.vehicle__body__tail div:nth-of-type(1) {
  height: 12px;
  width: 12px;
  left: -9px;
  top: 0;
}
.vehicle__body__tail div:nth-of-type(2) {
  height: 17px;
  width: 17px;
  left: -22px;
  top: -9px;
}
.vehicle__body__tail div:nth-of-type(3) {
  height: 22px;
  width: 22px;
  left: -37px;
  top: -19px;
}
.vehicle__body__tail div:nth-of-type(4) {
  display: none;
  height: 25px;
  width: 25px;
  left: -40px;
  top: -25px;
}
.vehicle__body__tail div:nth-of-type(5) {
  display: none;
  height: 26px;
  width: 26px;
  left: -45px;
  top: -27px;
}
.vehicle__body__tail div:nth-of-type(6) {
  display: none;
  height: 27px;
  width: 27px;
  left: -50px;
  top: -29px;
}
.vehicle__body__tail div:nth-of-type(7) {
  display: none;
  height: 32px;
  width: 32px;
  left: -47px;
  top: -35px;
}
.vehicle__body__tail div:nth-of-type(8) {
  display: none;
  height: 37px;
  width: 37px;
  left: -47px;
  top: -49px;
}
.vehicle__body__tail div:nth-of-type(9) {
  display: none;
  height: 35px;
  width: 35px;
  left: -53px;
  top: -55px;
}
.vehicle__body__tail div:nth-of-type(10) {
  display: none;
  height: 35px;
  width: 35px;
  left: -57px;
  top: -60px;
}
.vehicle__body__tail div:nth-of-type(10) {
  display: none;
  height: 35px;
  width: 35px;
  left: -57px;
  top: -70px;
}
.vehicle__body__tail div:nth-of-type(11) {
  display: none;
  height: 37px;
  width: 37px;
  left: -67px;
  top: -85px;
}
.vehicle__body__tail div:nth-of-type(12) {
  display: none;
  height: 40px;
  width: 40px;
  left: -70px;
  top: -95px;
}
.vehicle__body__tail div:nth-of-type(13) {
  display: none;
  height: 50px;
  width: 50px;
  left: -70px;
  top: -120px;
}
.vehicle__body__light {
  height: 15px;
  width: 7px;
  background-color: #2f3e46;
  position: absolute;
  border-radius: 2px;
  left: 99%;
  top: 75%;
}
.vehicle__body__light .spotlight {
  z-index: 1;
}
.vehicle__body__light .light {
  opacity: 0;
  position: relative;
  top: 50%;
  left: 40px;
  transform: translate(0, -50%) rotate(-90deg);
  width: 100px;
  height: 200px;
  z-index: -1;
  -webkit-clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
          clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
  background-image: linear-gradient(to bottom, orange 50%, rgba(255, 0, 0, 0));
}
.vehicle__body__windows {
  height: 60px;
  display: flex;
  opacity: 0.8;
  background: #fff;
  border-radius: 30px 50px 0 0;
  right: 0;
}
.vehicle__body__windows div {
  position: relative;
  height: 30px;
  width: 35px;
  top: 15px;
  border-radius: 5px;
  opacity: 0.5;
  background: rgba(132, 169, 140, 0.8);
}
.vehicle__body__windows div::before {
  content: "";
  width: 100%;
  height: 5px;
  position: absolute;
  background: #2f3e46;
  border-radius: 10px 10px 0 0;
  z-index: 1;
}
.vehicle__body__windows div span {
  height: 100%;
  width: 45%;
  background-color: #fff;
  opacity: 0.4;
  position: absolute;
  border-right: 0.7px solid;
  border-color: #52796f;
}
.vehicle__body__windows div:nth-of-type(1) {
  left: 10%;
}
.vehicle__body__windows div:nth-of-type(2) {
  left: 13%;
}
.vehicle__body__windows div:nth-of-type(3) {
  left: 16%;
}
.vehicle__body__windows div:nth-of-type(4) {
  left: 19%;
  width: 45px;
  border-radius: 5px 16px 5px 5px;
}
.vehicle__body__windows div:nth-of-type(4)::before {
  content: "";
  width: 89%;
  position: absolute;
  background: #2f3e46;
  border-radius: 10px 20px 0 0;
  z-index: 1;
}
.vehicle__body__back {
  position: absolute;
  height: 22px;
  width: 46px;
  border-radius: 20px 20px 0 0;
  background-color: #84a98c;
  left: 18px;
  top: 78%;
  z-index: 100;
}
.vehicle__body__front {
  position: absolute;
  height: 22px;
  width: 46px;
  border-radius: 20px 20px 0 0;
  background-color: #84a98c;
  left: 140px;
  top: 78%;
  bottom: 0;
  z-index: 100 !important;
}
.vehicle__wheels {
  display: flex;
  height: 100%;
}
.vehicle__wheels div {
  height: 32px;
  width: 32px;
  background-color: #fff;
  opacity: 0.9;
  border: 5px solid black;
  border-radius: 50%;
  position: relative;
  top: 85%;
  left: 40%;
  animation: rotate-whel 1.1s linear infinite;
}
.vehicle__wheels div::after {
  content: "";
  height: 5px;
  width: 5px;
  border-radius: 50%;
  background-color: #2f3e46;
  position: absolute;
  top: 5px;
  left: 5px;
}
.vehicle__wheels div:last-of-type {
  left: 180%;
}

@keyframes smoke {
  0% {
    opacity: 0;
    height: 0;
    width: 0;
    left: 0;
    top: 0;
  }
  50% {
    opacity: 0.4;
  }
  100% {
    opacity: 0;
  }
}
@keyframes smoke-danger {
  0% {
    opacity: 0;
    height: 0;
    width: 0;
    left: 0;
    top: 0;
    background-color: #706e6e;
  }
  50% {
    opacity: 0.8;
    background-color: #474444;
  }
  70% {
    opacity: 0.6;
    background-color: #2a2929;
  }
  100% {
    background-color: #393737;
    opacity: 0;
  }
}
@keyframes rotate-whel {
  100% {
    transform: rotate(360deg);
  }
}
@keyframes fly {
  50% {
    top: 3px;
  }
  100% {
    top: -3px;
  }
}
@keyframes waving {
  0% {
    transform: matrix(-10, 2, 2, 2);
    top: 10%;
  }
  100% {
    top: -10%;
    transform: matrix(-10, 2, 2, 2);
  }
}
@keyframes lights {
  0% {
    opacity: 0;
  }
  20% {
    opacity: 0.4;
  }
  40% {
    opacity: 0.7;
  }
  50% {
    opacity: 1;
  }
  70% {
    opacity: 0.7;
  }
  90% {
    opacity: 0.4;
  }
  100% {
    opacity: 0.2;
  }
}/*# sourceMappingURL=vehicle.css.map */